import { Component, OnInit, ViewChild, TemplateRef } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { DynaformService } from './dynaform/services/dynaform.service';

import { model, meta as lazyMeta } from './_mock/testfields.v5';

@Component({
	selector: 'app-root',
	templateUrl: './app.component.html',
	styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {

	form: FormGroup;
	meta: StringMap;

	@ViewChild('testTemplate', { read: TemplateRef })
	tref: TemplateRef<any>;

	constructor(
		private dynaform: DynaformService
	) {
	}

	ngOnInit() {
		({ form: this.form, meta: this.meta } = this.dynaform.build(model, lazyMeta));
		console.dir(this.form);
		console.dir(this.meta);
	}
}

